header .menu-icon {
    position: fixed;
    left: 30px;
    top: 30px;
    width: 50px;
    height: 50px;
    border: 1px solid black;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    transition: all 0.3s;
    z-index: 1;
}

header .menu-icon:hover {
    cursor: pointer;
}

header .menu-icon.open {
    width: 320px;
    height: 190px;
}

header .menu-icon span {
    position: fixed;
    width: 36px;
    height: 3px;
    background-color: black;
    pointer-events: none;
}

header .menu-icon span {
    left: 38px;
    transition: all 0.3s;
}

header .menu-icon :nth-child(1) {top: 42px;}
header .menu-icon :nth-child(2) {top: 55px;}
header .menu-icon :nth-child(3) {top: 68px;}

header .menu-icon.open :nth-child(1) {
    transform: translateY(13px) rotate(45deg);
}
header .menu-icon.open :nth-child(2) {
    opacity: 0;
}
header .menu-icon.open :nth-child(3) {
    transform: translateY(-13px) rotate(-45deg);
}

header nav {    
    display: flex;
    opacity: 0;
    pointer-events: none;
    position: fixed;
    top: 78px;
    left: 34px;
    max-width: 352px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 90;
    transition: opacity 0.3s;
}

header nav.open {
    pointer-events: all;
    opacity: 100%;
}

header nav .button {
    box-sizing: border-box;
    padding: 20px;
    width: 100%;
    margin-left: 10px;
    margin-top: 5px;
    z-index: 90;
}

header nav .button.selected {
    background-color: #FFAF36;
}